"use strict";
/**
 * Utils - Response Error
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.ResponseError = void 0;
/**
 * Custom exception to include fetch response
 */
class ResponseError extends Error {
    /**
     * Store response data
     *
     * @type {Response|undefined}
     */
    response;
    /**
     * Set properties
     *
     * @param {string} message
     * @param {Response} [resp]
     */
    constructor(message, resp) {
        super(message);
        this.message = message;
        if (resp !== undefined) {
            this.response = resp;
        }
    }
}
exports.ResponseError = ResponseError;
