/**
 * Utils - Content Type
 */
import type { ContentTypeLabels } from './contentTypeTypes.js';
import type { Taxonomy } from '../../global/globalTypes.js';
/**
 * Convert to normal content type if available
 *
 * @param {string} contentType
 * @return {string}
 */
declare const normalizeContentType: (contentType?: string) => string;
/**
 * Singular and plural labels by content/taxonomy type
 *
 * @param {string} contentType
 * @param {string} [casing]
 * @param {Taxonomy} [taxonomy]
 * @return {ContentTypeLabels}
 */
declare const getContentTypeLabels: (contentType?: string, casing?: string, taxonomy?: Taxonomy) => ContentTypeLabels;
export { normalizeContentType, getContentTypeLabels };
