/**
 * Utils - File Data
 */
import type { FileDataParams, FileDataReturn, AllFileDataArgs } from './fileDataTypes.js';
import type { RenderAllData } from '../../render/renderTypes.js';
/**
 * Get data from file or cache
 *
 * @param {string} key
 * @param {FileDataParams} params
 * @return {Promise<FileDataReturn>}
 */
declare const getFileData: (key?: string, params?: FileDataParams) => Promise<FileDataReturn>;
/**
 * Get data from file system
 *
 * @param {AllFileDataArgs} args
 * @return {Promise<RenderAllData|undefined>}
 */
declare const getAllFileData: (args: AllFileDataArgs) => Promise<RenderAllData | undefined>;
export { getFileData, getAllFileData };
