/**
 * Utils - Image
 */
import type { ImageArgs, ImageReturn, ImageMaxWidthArgs } from './imageTypes.js';
/**
 * Get responsive image output
 *
 * @param {ImageArgs} args
 * @return {ImageReturn|string}
 */
declare const getImage: (args?: ImageArgs) => ImageReturn | string;
/**
 * Get closest value in config sizes
 *
 * @param {number} size
 * @return {number}
 */
declare const getImageClosestSize: (size: number) => number;
/**
 * Calculate max width from column and container parents
 *
 * @param {ImageMaxWidthArgs} args
 * @return {number}
 */
declare const getImageMaxWidth: ({ parents, widths, maxWidths, breakpoints, source }: ImageMaxWidthArgs) => number;
export { getImage, getImageClosestSize, getImageMaxWidth };
