"use strict";
/**
 * Utils - Object
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.isObjectStrict = exports.isObject = void 0;
/**
 * Check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
const isObject = (value) => {
    return typeof value === 'object' && value !== null && value !== undefined;
};
exports.isObject = isObject;
/**
 * Check if value is an object and not array
 *
 * @param {*} value
 * @return {boolean}
 */
const isObjectStrict = (value) => {
    if (Array.isArray(value)) {
        return false;
    }
    return isObject(value);
};
exports.isObjectStrict = isObjectStrict;
