/**
 * Utils - Script Style
 */
/**
 * Add script path and dependencies to item and build maps
 *
 * @param {string} path
 * @param {string[]} [deps]
 * @return {boolean}
 */
declare const addScript: (path: string, deps?: string[]) => boolean;
/**
 * Add style path and dependencies to item and build maps
 *
 * @param {string} path
 * @param {string[]} [deps]
 * @return {boolean}
 */
declare const addStyle: (path: string, deps?: string[]) => boolean;
/**
 * Output script elements
 *
 * @param {string} link
 * @return {string}
 */
declare const outputScripts: (link: string) => string;
/**
 * Output stylesheet elements
 *
 * @param {string} link
 * @return {string}
 */
declare const outputStyles: (link: string) => string;
export { addScript, addStyle, outputScripts, outputStyles };
