/**
 * Render
 */
import type { RenderContentArgs, RenderItemArgs, RenderItemReturn, RenderArgs, RenderReturn, RenderFunctions } from './renderTypes.js';
import type { HtmlString } from '../global/globalTypes.js';
/**
 * Get config and formation render functions
 *
 * @return {RenderFunctions}
 */
declare const getRenderFunctions: () => RenderFunctions;
/**
 * Recurse and output nested content
 *
 * @param {RenderContentArgs} args
 * @param {HtmlString} [_output]
 * @return {Promise<string>}
 */
declare const renderContent: (args: RenderContentArgs, _output?: HtmlString) => Promise<string>;
/**
 * Output single post or page
 *
 * @param {RenderItemArgs} args
 * @return {RenderItemReturn}
 */
declare const renderItem: (args: RenderItemArgs) => Promise<RenderItemReturn>;
/**
 * Loop through all content types to output pages and posts
 *
 * @param {RenderArgs} args
 * @return {Promise<RenderReturn[]|RenderReturn>}
 */
declare const render: (args: RenderArgs) => Promise<RenderReturn[] | RenderReturn>;
export { render, renderItem, renderContent, getRenderFunctions };
