/**
 * Utils - Object
 */
/**
 * Check if value is an object
 *
 * @param {*} value
 * @return {boolean}
 */
const isObject = (value) => {
    return typeof value === 'object' && value !== null && value !== undefined;
};
/**
 * Check if value is an object and not array
 *
 * @param {*} value
 * @return {boolean}
 */
const isObjectStrict = (value) => {
    if (Array.isArray(value)) {
        return false;
    }
    return isObject(value);
};
/* Exports */
export { isObject, isObjectStrict };
